Groovy Documentation

## org.codehaus.groovy.util
[Java] Class ManagedDoubleKeyMap

    java.lang.Object
      org.codehaus.groovy.util.AbstractConcurrentMapBase
          org.codehaus.groovy.util.AbstractConcurrentDoubleKeyMap
              org.codehaus.groovy.util.ManagedDoubleKeyMap

    public class ManagedDoubleKeyMap
    extends AbstractConcurrentDoubleKeyMap

Nested Class Summary
`static class` | `ManagedDoubleKeyMap.Entry`

Field Summary

Fields inherited from class AbstractConcurrentMapBase
MAXIMUM_CAPACITY, segments

Constructor Summary
`ManagedDoubleKeyMap(ReferenceBundle bundle)`

Method Summary
`protected Segment` | `createSegment(java.lang.Object segmentInfo, int cap)`

Methods inherited from class AbstractConcurrentDoubleKeyMap
get, getOrPut, put, remove, segmentFor

Methods inherited from class AbstractConcurrentMapBase
createSegment, fullSize, hash, segmentFor, size, values

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### ManagedDoubleKeyMap

    public ManagedDoubleKeyMap(ReferenceBundle bundle)

Method Detail

### createSegment

    protected Segment createSegment(java.lang.Object segmentInfo, int cap)

Groovy Documentation